USB_DEVICE_AND_INTERFACE_INFO
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

USB_DEVICE_AND_INTERFACE_INFO — macro used to describe a specific usb device

## Synopsis

`USB_DEVICE_AND_INTERFACE_INFO (` |  | vend,
|  | prod,
|  | cl,
|  | sc,
|  | pr`)`;

## Arguments

`vend`

  the 16 bit USB Vendor ID

`prod`

  the 16 bit USB Product ID

`cl`

  bInterfaceClass value

`sc`

  bInterfaceSubClass value

`pr`

  bInterfaceProtocol value

## Description

This macro is used to create a struct usb_device_id that matches a specific device with a specific class of interfaces.

This is especially useful when explicitly matching devices that have vendor specific bDeviceClass values, but standards-compliant interfaces.

## Description

This macro is used to create a struct usb_device_id that matches a specific device with a specific class of interfaces.

This is especially useful when explicitly matching devices that have vendor specific bDeviceClass values, but standards-compliant interfaces.

Prev | Up | Next
USB_INTERFACE_INFO | Home | struct usbdrv_wrap